Bug 859518 - Ekiga crashes while initiating video call with webcam
Ekiga crashes while initiating video call with webcam
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ekiga (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
abrt_hash:3e4d091e26cb09adbe805b8cfe2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-21 13:57 EDT by Xavier Hourcade
Modified: 2013-03-03 17:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 22:02:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: dso_list (13.66 KB, text/plain)
2012-09-21 13:57 EDT, Xavier Hourcade
no flags Details
File: gconf_subtree (5.03 KB, text/plain)
2012-09-21 13:57 EDT, Xavier Hourcade
no flags Details
File: build_ids (5.69 KB, text/plain)
2012-09-21 13:57 EDT, Xavier Hourcade
no flags Details
File: smolt_data (4.14 KB, text/plain)
2012-09-21 13:57 EDT, Xavier Hourcade
no flags Details
File: backtrace (86.93 KB, text/plain)
2012-09-21 13:57 EDT, Xavier Hourcade
no flags Details
File: maps (88.73 KB, text/plain)
2012-09-21 13:57 EDT, Xavier Hourcade
no flags Details

  None (edit)
Description Xavier Hourcade 2012-09-21 13:57:34 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/bin/ekiga
crash_function: PContainer::GetSize
executable:     /usr/bin/ekiga
kernel:         3.4.9-2.fc16.x86_64
pid:            7885
pwd:            /home/xaho/Documents
time:           Fri 21 Sep 2012 06:02:16 PM CEST
uid:            1000
username:       xaho

backtrace:      Text file, 89014 bytes
build_ids:      Text file, 5822 bytes
dso_list:       Text file, 13985 bytes
gconf_subtree:  Text file, 5151 bytes
maps:           Text file, 90860 bytes
smolt_data:     Text file, 4241 bytes

comment:
:1. Launch ekiga
:2. Double click echo call, or call back test

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=1
:SSH_AGENT_PID=1820
:HOSTNAME=venus.xapaho.com
:DM_CONTROL=/var/run/xdmctl
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:HISTSIZE=15000
:XDG_SESSION_COOKIE=c81028bb779ed01b44099d1b0000001a-1348183593.590151-1560879758
:XDM_MANAGED=method=classic
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/xaho/.gtkrc-2.0:/home/xaho/.gtkrc-2.0-kde4:/home/xaho/.kde/share/config/gtkrc-2.0
:GS_LIB=
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:KDE_FULL_SESSION=true
:USER=xaho
:SSH_AUTH_SOCK=/tmp/ssh-hHrDcGkJ1775/agent.1775
:MAIL=/var/spool/mail/xaho
:DESKTOP_SESSION=default
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/sbin:/home/xaho/.local/bin:/home/xaho/bin
:PWD=/home/xaho
:KDE_SESSION_UID=1000
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/xaho
:KDE_SESSION_VERSION=4
:LOGNAME=xaho
:QTLIB=/usr/lib64/qt-3.3/lib
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-2kE1egIk0W,guid=beaf1f2244181169160c815600000061
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:'PROMPT_COMMAND=history -a;source /arcon/xaho/public.oss/bash.ps1.sh'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/xaho
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/xaho/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:'HISTTIMEFORMAT=%F %R $ '
:XAUTHORITY=/tmp/kde-xaho/xauth-1000-_0
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1987,unix/unix:/tmp/.ICE-unix/1987
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/xaho/.gtkrc:/home/xaho/.kde/share/config/gtkrc
:XCURSOR_THEME=default
:DESKTOP_STARTUP_ID=venus.xapaho.com;1348242106;258724;2137_TIME25561624

var_log_messages:
:Sep 17 20:03:32 venus yum[27077]: Installed: ekiga-3.3.2-3.fc16.x86_64
:Sep 21 18:02:15 venus kernel: [26790.669632] ekiga[8181]: segfault at 4315a0 ip 00000000004315a0 sp 00007fab97bf08e8 error 14 in ekiga[680000+3000]
:Sep 21 18:02:16 venus abrt[8192]: Saved core dump of pid 7885 (/usr/bin/ekiga) to /var/spool/abrt/ccpp-2012-09-21-18:02:16-7885 (55844864 bytes)

xsession_errors:
:"Task::updateTask: NameChanged StateChanged DesktopChanged GeometryChanged WindowTypeChanged ActionsChanged TransientsChanged IconChanged (Process /usr/bin/ekiga was killed by signal 11 (SIGSEGV) - abrt)" 
:new task button: "Process /usr/bin/ekiga was killed by signal 11 (SIGSEGV) - abrt" 
:"Task::updateTask: StateChanged (Process /usr/bin/ekiga was killed by signal 11 (SIGSEGV) - abrt)" 
:"Task::updateTask: StateChanged (Process /usr/bin/ekiga was killed by signal 11 (SIGSEGV) - abrt)" 
:abrt-applet: repeated problem in ekiga-3.3.2-3.fc16, not showing the notification
:"Task::updateTask: NameChanged (Understanding NAT/firewall issues with SIP clients (eg ekiga) - Ekiga - Mozilla Firefox)" 
:"Task::updateTask: IconChanged (Understanding NAT/firewall issues with SIP clients (eg ekiga) - Ekiga - Mozilla Firefox)" 
:"Task::updateTask: StateChanged (Understanding NAT/firewall issues with SIP clients (eg ekiga) - Ekiga - Mozilla Firefox)" 
:"Task::updateTask: StateChanged (Understanding NAT/firewall issues with SIP clients (eg ekiga) - Ekiga - Mozilla Firefox)" 
:"Task::updateTask: IconChanged (Understanding NAT/firewall issues with SIP clients (eg ekiga) - Ekiga - Mozilla Firefox)" 
:"Task::updateTask: StateChanged (Understanding NAT/firewall issues with SIP clients (eg ekiga) - Ekiga - Mozilla Firefox)" 
:"Task::updateTask: NameChanged (Understanding NAT/firewall issues with SIP clients (eg ekiga) - Ekiga - Mozilla Firefox)" 
:"Task::updateTask: NameChanged (Configuration Editor - ekiga)" 
:"Task::updateTask: NameChanged (Configuration Editor - ekiga)" 
:"Task::updateTask: NameChanged (Configuration Editor - ekiga)" 
:abrt-applet: repeated problem in ekiga-3.3.2-3.fc16, not showing the notification
:"Task::updateTask: NameChanged (xaho : ekiga)" 
:"Task::updateTask: StateChanged (xaho : ekiga)" 
:"Task::updateTask: NameChanged (Bug 759226 – [abrt] ekiga-3.3.2-3.fc16: memcpy: Process /usr/bin/ekiga was killed by signal 11 (SIGSEGV) - Mozilla Firefox)" 
:"Task::updateTask: StateChanged (Bug 759226 – [abrt] ekiga-3.3.2-3.fc16: memcpy: Process /usr/bin/ekiga was killed by signal 11 (SIGSEGV) - Mozilla Firefox)" 
:"Task::updateTask: IconChanged (Bug 759226 – [abrt] ekiga-3.3.2-3.fc16: memcpy: Process /usr/bin/ekiga was killed by signal 11 (SIGSEGV) - Mozilla Firefox)" 
:"Task::updateTask: StateChanged (Bug 759226 – [abrt] ekiga-3.3.2-3.fc16: memcpy: Process /usr/bin/ekiga was killed by signal 11 (SIGSEGV) - Mozilla Firefox)" 
:"Task::updateTask: StateChanged (Bug 759226 – [abrt] ekiga-3.3.2-3.fc16: memcpy: Process /usr/bin/ekiga was killed by signal 11 (SIGSEGV) - Mozilla Firefox)" 
:"Task::updateTask: NameChanged StateChanged DesktopChanged GeometryChanged WindowTypeChanged ActionsChanged TransientsChanged IconChanged (Process /usr/bin/ekiga was killed by signal 11 (SIGSEGV) - abrt)" 
:new task button: "Process /usr/bin/ekiga was killed by signal 11 (SIGSEGV) - abrt" 
:"Task::updateTask: StateChanged (Process /usr/bin/ekiga was killed by signal 11 (SIGSEGV) - abrt)" 
:"Task::updateTask: StateChanged (Process /usr/bin/ekiga was killed by signal 11 (SIGSEGV) - abrt)" 
:"Task::updateTask: IconChanged (Bug 759226 – [abrt] ekiga-3.3.2-3.fc16: memcpy: Process /usr/bin/ekiga was killed by signal 11 (SIGSEGV) - Mozilla Firefox)" 
:"Task::updateTask: StateChanged (Bug 759226 – [abrt] ekiga-3.3.2-3.fc16: memcpy: Process /usr/bin/ekiga was killed by signal 11 (SIGSEGV) - Mozilla Firefox)" 
:"Task::updateTask: NameChanged (Bug 757214 – [abrt] ekiga-3.3.2-3.fc16: gconf_engine_get_fuller: Process /usr/bin/ekiga was killed by signal 11 (SIGSEGV) - Mozilla Firefox)" 
:"Task::updateTask: StateChanged (Process /usr/bin/ekiga was killed by signal 11 (SIGSEGV) - abrt)"
Comment 1 Xavier Hourcade 2012-09-21 13:57:38 EDT
Created attachment 615559 [details]
File: dso_list
Comment 2 Xavier Hourcade 2012-09-21 13:57:40 EDT
Created attachment 615560 [details]
File: gconf_subtree
Comment 3 Xavier Hourcade 2012-09-21 13:57:42 EDT
Created attachment 615561 [details]
File: build_ids
Comment 4 Xavier Hourcade 2012-09-21 13:57:45 EDT
Created attachment 615562 [details]
File: smolt_data
Comment 5 Xavier Hourcade 2012-09-21 13:57:50 EDT
Created attachment 615563 [details]
File: backtrace
Comment 6 Xavier Hourcade 2012-09-21 13:57:55 EDT
Created attachment 615564 [details]
File: maps
Comment 7 Xavier Hourcade 2012-09-22 00:06:44 EDT
Version

  ekiga-3.3.2-3.fc16.x86_64 (as per F16 repositories)

Device is Asus V1S laptop's integrated webcam:

  Bus 001 Device 003: ID 174f:6a31 Syntek Web Cam - Asus A8J, F3S, F5R, VX2S, V1S

Kernel module is stk11xx from sourceforge

  http://syntekdriver.sourceforge.net/

Workaround

  Stick to "Moving Logo" as video device (or try another webcam...)

Additional info

  Webcam works fine with mlayer, vlc, kopete, pidgin (plugin), google-talkpugin, skype, guvcview, gscan2pdf (...)
Comment 8 Xavier Hourcade 2012-09-22 01:27:53 EDT
If this helps, here is mplayer stdout :


$ mplayer tv:// -tv driver=v4l2:width=640:height=480:fps=25:outfmt=rgb24:device=/dev/video0
MPlayer SVN-r34807-snapshot-4.6.2 (C) 2000-2012 MPlayer Team
Can't open joystick device /dev/input/js0: No such file or directory
Can't init input joystick
mplayer: could not connect to socket
mplayer: No such file or directory
Failed to open LIRC support. You will not be able to use your remote control.

Playing tv://.
TV file format detected.
Selected driver: v4l2
 name: Video 4 Linux 2 input
 author: Martin Olschewski <olschewski@zpr.uni-koeln.de>
 comment: first try, more to come ;-)
Selected device: Syntek USB Video Camera
 Capabilities:  video capture  read/write  streaming
 supported norms: 0 = webcam;
 inputs: 0 = USB;
 Current input: 0
 Current format: BGR24
tv.c: norm_from_string(pal): Bogus norm parameter, setting default.
Selected input hasn't got a tuner!
v4l2: ioctl set mute failed: Invalid argument
==========================================================================
Opening video decoder: [raw] RAW Uncompressed Video
Could not find matching colorspace - retrying with -vf scale...
Opening video filter: [scale]
Movie-Aspect is undefined - no prescaling applied.
[swscaler @ 0x350d200] BICUBIC scaler, from rgb24 to yuv420p using MMX2
VO: [vdpau] 640x480 => 640x480 Planar YV12 
Selected video codec: [rawrgb24] vfm: raw (RAW RGB24)
==========================================================================
Audio: no sound
Starting playback...
V:   0.0 501/501 ??% ??% ??,?% 0 0
Comment 9 Xavier Hourcade 2012-09-22 01:29:48 EDT
# grep . /sys/class/video4linux/video0/*
/sys/class/video4linux/video0/brightness:7FFF
/sys/class/video4linux/video0/colour:7FFF
/sys/class/video4linux/video0/contrast:7FFF
/sys/class/video4linux/video0/dev:81:0
/sys/class/video4linux/video0/fps:25
/sys/class/video4linux/video0/hflip:0
/sys/class/video4linux/video0/index:0
/sys/class/video4linux/video0/informations:Asked resolution  : 640x480
/sys/class/video4linux/video0/informations:Driver resolution : 640x480
/sys/class/video4linux/video0/informations:Webcam resolution : 640x480
/sys/class/video4linux/video0/informations:BGR24 - BGR-8-8-8 - 24 bits
/sys/class/video4linux/video0/informations:Brightness        : 0x7FFF
/sys/class/video4linux/video0/informations:Contrast          : 0x7FFF
/sys/class/video4linux/video0/informations:Whiteness         : 0xFFFF
/sys/class/video4linux/video0/informations:Colour            : 0x7FFF
/sys/class/video4linux/video0/name:Syntek USB Video Camera
/sys/class/video4linux/video0/release:5
/sys/class/video4linux/video0/uevent:MAJOR=81
/sys/class/video4linux/video0/uevent:MINOR=0
/sys/class/video4linux/video0/uevent:DEVNAME=video0
/sys/class/video4linux/video0/vflip:0
/sys/class/video4linux/video0/videostatus:Nbr ISOC errors    : 0
/sys/class/video4linux/video0/videostatus:Nbr dropped frames : 0
/sys/class/video4linux/video0/videostatus:Nbr dumped frames  : 0
/sys/class/video4linux/video0/whitebalance:FFFF
Comment 10 Peter Robinson 2012-10-03 07:13:40 EDT
Any reason not to upgrade to Fedora 17? It has a number of fixes.
Comment 11 Xavier Hourcade 2012-10-22 14:21:14 EDT
Yes, targeting F18 instead.
Comment 12 Fedora Update System 2012-11-27 06:10:58 EST
ekiga-4.0.0-1.fc17,opal-3.10.9-2.fc17,ptlib-2.10.9-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ekiga-4.0.0-1.fc17,opal-3.10.9-2.fc17,ptlib-2.10.9-1.fc17
Comment 13 Fedora Update System 2012-11-28 06:29:04 EST
Package ekiga-4.0.0-1.fc17, opal-3.10.9-2.fc17, ptlib-2.10.9-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ekiga-4.0.0-1.fc17 opal-3.10.9-2.fc17 ptlib-2.10.9-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19197/ekiga-4.0.0-1.fc17,opal-3.10.9-2.fc17,ptlib-2.10.9-1.fc17
then log in and leave karma (feedback).
Comment 14 Fedora End Of Life 2013-01-16 21:12:57 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Fedora End Of Life 2013-02-13 22:02:39 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 16 Fedora Update System 2013-02-21 11:14:12 EST
ptlib-2.10.10-1.fc17,opal-3.10.10-1.fc17,ekiga-4.0.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ptlib-2.10.10-1.fc17,opal-3.10.10-1.fc17,ekiga-4.0.1-1.fc17
Comment 17 Fedora Update System 2013-02-21 11:18:05 EST
ptlib-2.10.10-1.fc18,opal-3.10.10-1.fc18,ekiga-4.0.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ptlib-2.10.10-1.fc18,opal-3.10.10-1.fc18,ekiga-4.0.1-1.fc18
Comment 18 Fedora Update System 2013-03-03 17:33:45 EST
ptlib-2.10.10-1.fc18, opal-3.10.10-1.fc18, ekiga-4.0.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2013-03-03 17:39:55 EST
ptlib-2.10.10-1.fc17, opal-3.10.10-1.fc17, ekiga-4.0.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.